
D4Science Infrastructure - Incident #403

HomeLibrary Exception when a user register to any VRE

Jul 21, 2015 06:10 PM - Massimiliano Assante

Status: Closed Start date: Jul 21, 2015

Priority: Urgent Due date:  

Assignee: Massimiliano Assante % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

Path

/Home/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer-Manager/Workspace/MySpecialFolders/d4scienc

e.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer by

d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer-Manager

2015-07-21 16:07:33,255 INFO  usermanager.JCRUserManager [TP-Processor13,getGroups:64] %[PORTAL] 1305884

[TP-Processor13] INFO  org.gcube.common.homelibrary.jcr.workspace.usermanager.JCRUserManager  - 

https://workspace-repository.d4science.org/home-library-webapp

2015-07-21 16:07:33,335 INFO  servlet.JCRServlets [TP-Processor13,saveItem:177] %[PORTAL] 1305964 [TP-Processor13] INFO 

org.gcube.common.homelibrary.jcr.workspace.servlet.JCRServlets  - Calling Servlet SaveItem

ItemDelegate(id=85fa022a-b067-4d0f-8dfb-ad760230c5a8, name=541f85dc-abba-4bcb-bf38-bcd184743b64,

title=d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer, description=Special Shared folder for VRE

VesselActivitiesAnalyzer, lastModifiedBy=andrea.manzi, parentId=5589e8a3-c0e5-4a4f-b9be-e874bc8f39e3,

parentPath=/Home/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer-Manager/Workspace/MySpecialFold

ers/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer,

lastModificationTime=java.util.GregorianCalendar[time=1395312562929,areFieldsSet=true,areAllFieldsSet=true,lenient=true,zone=s

un.util.calendar.ZoneInfo[id="GMT+01:00",offset=3600000,dstSavings=0,useDaylight=false,transitions=0,lastRule=null],firstDayOfWe

ek=1,minimalDaysInFirstWeek=1,ERA=1,YEAR=2014,MONTH=2,WEEK_OF_YEAR=12,WEEK_OF_MONTH=4,DAY_OF_MONTH=

20,DAY_OF_YEAR=79,DAY_OF_WEEK=5,DAY_OF_WEEK_IN_MONTH=3,AM_PM=0,HOUR=11,HOUR_OF_DAY=11,MINUTE=4

9,SECOND=22,MILLISECOND=929,ZONE_OFFSET=3600000,DST_OFFSET=0],

creationTime=java.util.GregorianCalendar[time=1395312562929,areFieldsSet=true,areAllFieldsSet=true,lenient=true,zone=sun.util.c

alendar.ZoneInfo[id="GMT+01:00",offset=3600000,dstSavings=0,useDaylight=false,transitions=0,lastRule=null],firstDayOfWeek=1,m

inimalDaysInFirstWeek=1,ERA=1,YEAR=2014,MONTH=2,WEEK_OF_YEAR=12,WEEK_OF_MONTH=4,DAY_OF_MONTH=20,DA

Y_OF_YEAR=79,DAY_OF_WEEK=5,DAY_OF_WEEK_IN_MONTH=3,AM_PM=0,HOUR=11,HOUR_OF_DAY=11,MINUTE=49,SEC

OND=22,MILLISECOND=929,ZONE_OFFSET=3600000,DST_OFFSET=0],

properties={hl:sharedRootId=85fa022a-b067-4d0f-8dfb-ad760230c5a8, hl:users=

bcalton

9dd44bf3-34f1-48be-8863-3811384888f1/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

davidcurrie2001

25679bce-e715-4174-9848-644ddddeb1c5/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

massimiliano.assante

00fc30dd-dedc-47c5-8164-22f8749e1529/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

panagiota.koltsida

62787a44-adf0-4085-991e-14a70eb6891a/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

albajr

c47660eb-a6bc-4205-b28b-d957393cab97/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

thogui

afac437a-6c9d-4971-b732-9ac6fc56fc7e/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

ocorcho
4c27d718-7553-47cd-bcd8-bfabac09cc13/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

paolo.manghi

d002e0be-143f-456f-aee0-447c591240a0/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

fabio.sinibaldi

db50bb7b-7bad-4a23-8a6b-0851033380ed/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

carlo.allocca

302e6301-bc2d-40bd-bc11-3be5e36eb5ca/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

julien.barde

b765bb64-0c5b-49eb-8ec5-6d06b00b8cb7/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

francesco.mangiacrapa

fb4d5f0a-0f32-435b-8135-6f4c8c636a79/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

dtpearl

8e77a53c-2891-4dc7-8b20-8145aead0c13/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

irlfisheriescontrol

d3f25b23-2117-43a1-bcb1-8eda77d1cf3f/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

gianpaolo.coro

a9010f5a-0279-4c59-8788-9716b41b5bd5/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer-Manager

5589e8a3-c0e5-4a4f-b9be-e874bc8f39e3/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

leonardo.candela

501a6367-bd2d-47a6-a69c-c61195afa143/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

dgtinc

909bb07c-1f89-4089-8ddb-6bf4041d3ae6/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

fnieto

56e4e4e1-d0a1-4beb-8294-ad14d62dde2d/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

kbbe4life

47adbd91-79e1-4aff-a672-7316ee20550f/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

herve.caumont

3f882bc8-7934-4ef1-a99b-b512ae15d56a/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

ilaria.aquatt

b4345b0a-2f45-4d31-962c-8802eb0e6e5f/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

francesco.cerasuolo

a385d33d-8bc0-45f5-b1aa-60c172e29ad6/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer
jlebras

481f429f-1d95-4d70-a23f-0d0888306175/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

marc.taconet

9cf7db69-98a8-4193-a6b3-257985d3402a/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

jlopez

38f66d00-e2ae-48af-97e3-0126829ee435/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

angela.italiano

a3876c33-65bf-4287-92a2-a7202090cd82/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

wmcclin

ec488dbf-20c6-4b79-9d68-23bd6b1b91c4/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

george.kakaletris

130ec30c-2fcd-4ae7-b8a2-ed03c65b8b48/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

pasquale.pagano

264eb607-f96f-4bfc-89f6-55d1db3387f9/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

emmanuel.blondel

935625be-8277-4928-b11b-2ef256296dde/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

hilary.hanahoe

58754b5a-c06c-4028-9ad4-4a373ca95e52/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

tloubrieu

b6f2d9d5-3ac5-4bfb-b20c-41754400e929/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

jerome.guitton

ae6e016a-69ca-4600-ab23-aef55bdd1dc1/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

andrea.manieri

36ac7ec7-e2c5-402a-aba3-7f85a7bc347f/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

maria.dfborges

ccf67ce3-9358-454d-ab09-37844c058f87/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

yannis.tzitzikas

5aa73286-5b04-44f1-b13c-cacb3215165e/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

franco.zoppi

a5f56f7b-506b-453c-bde9-8de7ef4bb90c/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

luca.frosini

79b49297-b419-40fc-b578-0800b354d7da/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

tony.jarrett

28974fbb-49ae-4a14-9a71-62f76195ac81/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer
anton.ellenbroek

3963bfbd-d288-4bcc-a032-dbeda9b047ed/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

okeeble

f8b217dc-2bcc-441c-9c97-fccbf99493de/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

nunzioandreagalante

5ec36009-614e-4e67-bbad-b3ab9b50c697/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

federico.defaveri

1bf8982e-6102-4ed7-a0d0-35548cf90634/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

francesco.calderini

391d6018-a26b-4dd8-8bba-fafb6a37e9dc/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

jsantiago

696d23cf-3805-42d1-8544-418434152e5d/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

pfonseca

0a5b5148-5d75-4814-910d-5aad05e171ae/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

alexandre

2b0722ae-138f-4c0d-a460-81f001878390/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

neilnafo

5c78bec7-3374-4928-b3ed-6c9f0bd93c20/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

razorfish

ddc592eb-9002-4132-a7dc-d9a3edac0021/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

lucio.lelii

d4e491fb-d4e9-4115-a1c5-e1bb11ee0df6/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

paolonefr

fe4edfed-0153-4d28-94b0-6ee1ee9720e0/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

fblanc

86b46e6d-bcd8-4c60-9319-500ca578c2bc/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

donatella.castelli

c6c7db1d-adbc-402e-9a6d-f027427f08a4/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

, hl:members=

d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer

fnieto

pfonseca

tloubrieu

massimiliano.assante

julien.barde

carlo.allocca

dtpearl

davidcurrie2001

yannis.tzitzikas
bcalton

neilnafo

luca.frosini

jlebras

albajr

franco.zoppi

jlopez

nunzioandreagalante

, hl:isVreFolder=true, hl:displayName=VesselActivitiesAnalyzer},

path=/Home/d4science.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer-Manager/Workspace/MySpecialFolders/d4s

cience.research-infrastructures.eu-gCubeApps-VesselActivitiesAnalyzer, owner=andrea.manzi,

primaryType=nthl:workspaceSharedItem, lastAction=CREATED, shared=true, locked=false, accounting=null, metadata={},

content=null) by null

java.lang.NullPointerException

at org.gcube.portlets.user.joinnew.server.JoinNewServiceImpl.registerUser(JoinNewServiceImpl.java:121)

at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)

at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

at java.lang.reflect.Method.invoke(Method.java:606)

at com.google.gwt.user.server.rpc.RPC.invokeAndEncodeResponse(RPC.java:561)

at com.google.gwt.user.server.rpc.RemoteServiceServlet.processCall(RemoteServiceServlet.java:208)

at com.google.gwt.user.server.rpc.RemoteServiceServlet.processPost(RemoteServiceServlet.java:248)

at com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet.doPost(AbstractRemoteServiceServlet.java:62)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:637)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:290)

at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)

at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:233)

at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)

at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)

at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)

at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)

at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:298)

at org.apache.jk.server.JkCoyoteHandler.invoke(JkCoyoteHandler.java:190)

at org.apache.jk.common.HandlerRequest.invoke(HandlerRequest.java:291)

at org.apache.jk.common.ChannelSocket.invoke(ChannelSocket.java:774)

at org.apache.jk.common.ChannelSocket.processConnection(ChannelSocket.java:703)

at org.apache.jk.common.ChannelSocket$SocketConnection.runIt(ChannelSocket.java:896)

at org.apache.tomcat.util.threads.ThreadPool$ControlRunnable.run(ThreadPool.java:690)

at java.lang.Thread.run(Thread.java:744)

Setter Setter

History

#1 - Jul 21, 2015 06:25 PM - Massimiliano Assante

- Subject changed from HomeLibrary Exception when registering user to gCubeApps-VesselActivitiesAnalyzer-Manager to HomeLibrary Exception

when a user register to any VRE

- Priority changed from High to Urgent

#2 - Jul 21, 2015 06:31 PM - Massimiliano Assante

- Assignee changed from Valentina Marioli to Massimiliano Assante

it is not related to HL

#3 - Jul 21, 2015 06:35 PM - Massimiliano Assante

- Status changed from New to In Progress

- % Done changed from 0 to 50

#4 - Jul 21, 2015 06:41 PM - Massimiliano Assante

- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

#5 - Jul 23, 2015 06:55 PM - Massimiliano Assante
- Status changed from Resolved to Closed
